List External Transfers
curl --request GET \
--url https://api.synctera.com/v2/external_cards/transfers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/external_cards/transfers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/external_cards/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"external_transfers": [
{
"account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"amount": 123,
"creation_time": "2010-05-06T12:23:34.321Z",
"currency": "USD",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"id": "<string>",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"merchant": {
"address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"name": "<string>",
"email": "alice@example.com",
"phone_number": "+14374570680"
},
"status": "SUCCEEDED",
"tenant": "abcdef_ghijkl",
"external_card_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"type": "PULL",
"network_decline_details": "<string>",
"reason": "<string>",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"three_ds_id": "40e2de9e-4375-4fa1-9393-92da972a9338"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}External Cards
List External Transfers
List External Card Transfers
GET
/
external_cards
/
transfers
List External Transfers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
Required range:
x >= 1Example:
100
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
Example:
"a8937a0d"
The status of the transfer
Available options:
SUCCEEDED, PENDING, DECLINED, CANCELED, UNKNOWN The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
Type of transfer operation.
| Type | Description |
|---|---|
| PUSH | Funds pushed to an External Card from an Account |
| PULL | Funds pulled from an External Card to an Account |
| PULL_REVERSAL | Funds pushed back to an External Card from an Account |
| APPLE_PAY_PULL | Funds pulled from an Apple Pay card to an Account |
| APPLE_PAY_PULL_REVERSAL | Funds returned to Apple Pay card from original recipient Account |
| GOOGLE_PAY_PULL | Pull funds from a Google Pay card to an Account |
| GOOGLE_PAY_PULL_REVERSAL | Funds returned to Google Pay card from original recipient Account |
Available options:
PUSH, PULL, PULL_REVERSAL, APPLE_PAY_PULL, APPLE_PAY_PULL_REVERSAL, GOOGLE_PAY_PULL, GOOGLE_PAY_PULL_REVERSAL Response
External Card Transfer list
external_transfers
(Pull Response · object | Push Response · object | Token Response · object)[]
required
Array of External transfer
Pull funds from an External Card
- Pull Response
- Push Response
- Token Response
Show child attributes
Show child attributes
If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.
Example:
"a8937a0d"
Was this page helpful?

